CAP_MKDB(1)

NAME
cap_mkdb - create capability database

SYNOPSIS
cap_mkdb [-v] [-f outfile] file1 [file2 ...]

DESCRIPTION
Cap_mkdb builds a hashed database out of the getcap(3) logical database constructed by the concatenation of the specified files .

The database is named by the basename of the first file argument and the string “.db”. The getcap(3) routines can access the database in this form much more quickly than they can the original text file(s).

The ``tc'' capabilities of the records are expanded before the record is stored into the database.

The options as follows:

-f outfile
    Specify a different database basename.

-v  Print out the number of capability records in the database.

FORMAT
Each record is stored in the database using two different types of keys.

The first type is a key which consists of the first capability of the record (not including the trailing colon (``:'')) with a data field consisting of a special byte followed by the rest of the record. The special byte is either a 0 or 1, where a 0 means that the record is okay, and a 1 means that there was a ``tc'' capability in the record that couldn't be expanded.

The second type is a key which consists of one of the names from the first capability of the record with a data field consisting a special byte followed by the first capability of the record. The special byte is a 2.

In normal operation names are looked up in the database, resulting in a key/data pair of the second type. The data field of this key/data pair is used to look up a key/data pair of the first type which has the real data associated with the name.

RETURN VALUE
The cap_mkdb utility exits 0 on success and >0 if an error occurs.

SEE ALSO
dbopen(3), getcap(3), termcap(5)